Get a post
curl --request GET \
--url https://api.supernormal.com/api/v1/posts/{id} \
--header 'X-API-TOKEN: <api-key>'import requests
url = "https://api.supernormal.com/api/v1/posts/{id}"
headers = {"X-API-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-TOKEN': '<api-key>'}};
fetch('https://api.supernormal.com/api/v1/posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"published_at": "<string>",
"summary": "<string>",
"seen": true,
"notes": [
{
"id": "<string>",
"body": "<string>",
"timestamp": 123,
"parent_id": "<string>",
"created_at": "<string>",
"display_name": "<string>",
"type": "<string>"
}
],
"transcript": [
{
"start": 123,
"end": 123,
"content": "<string>",
"author_name": "<string>"
}
]
}Posts
Get a post
Returns a single post
GET
/
posts
/
{id}
Get a post
Authorizations
Path Parameters
The ID of the post to get
Response
200 - application/json
Post response
The post’s ID
The post’s title
The post’s published at time in ISO 8601 format
A brief description of the meeting
Whether the post has been seen by the current caller
The post's notes
Show child attributes
Show child attributes
The post's transcript
Show child attributes
Show child attributes
⌘I